package com.hp.user.client.entity;

import java.time.LocalDateTime;
import java.util.List;
import java.io.Serializable;

/**
 * <p>
 * 电工表
 * </p>
 *
 * @author yeqid
 * @since 2020-12-02
 */
public class ElectricianVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 电工id
     */
    private String electricianId;

    /**
     * 关联用户id
     */
    private String userId;

    /**
     * 服务商id
     */
    private String serviceProviderId;

    /**
     * 电工姓名
     */
    private String name;
    
    /**
     * 手机号
     */
    private String phone;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 证书列表
     */
    private List<CertificateVO> certificateList;

    /**
     * 电工状态；0:离岗；1：在岗
     */
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime sysCreateTime;

    /**
     * 创建者
     */
    private Long sysCreator;

    /**
     * 修改时间
     */
    private LocalDateTime sysUpdateTime;

    /**
     * 修改者
     */
    private Long sysUpdater;

    /**
     * 是否删除，0（default）/1：未删除/删除
     */
    private Boolean sysDeleted;

	public String getElectricianId() {
		return electricianId;
	}

	public void setElectricianId(String electricianId) {
		this.electricianId = electricianId;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getServiceProviderId() {
		return serviceProviderId;
	}

	public void setServiceProviderId(String serviceProviderId) {
		this.serviceProviderId = serviceProviderId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public List<CertificateVO> getCertificateList() {
		return certificateList;
	}

	public void setCertificateList(List<CertificateVO> certificateList) {
		this.certificateList = certificateList;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public LocalDateTime getSysCreateTime() {
		return sysCreateTime;
	}

	public void setSysCreateTime(LocalDateTime sysCreateTime) {
		this.sysCreateTime = sysCreateTime;
	}

	public Long getSysCreator() {
		return sysCreator;
	}

	public void setSysCreator(Long sysCreator) {
		this.sysCreator = sysCreator;
	}

	public LocalDateTime getSysUpdateTime() {
		return sysUpdateTime;
	}

	public void setSysUpdateTime(LocalDateTime sysUpdateTime) {
		this.sysUpdateTime = sysUpdateTime;
	}

	public Long getSysUpdater() {
		return sysUpdater;
	}

	public void setSysUpdater(Long sysUpdater) {
		this.sysUpdater = sysUpdater;
	}

	public Boolean getSysDeleted() {
		return sysDeleted;
	}

	public void setSysDeleted(Boolean sysDeleted) {
		this.sysDeleted = sysDeleted;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}


}
