package com.hp.user.service.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 电工表
 * </p>
 *
 * @author yeqid
 * @since 2020-12-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_electrician")
public class Electrician implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 电工id
     */
    private String electricianId;

    /**
     * 关联用户id
     */
    private String userId;

    /**
     * 服务商id
     */
    private String serviceProviderId;

    /**
     * 电工姓名
     */
    private String name;
    /**
     * 手机号
     */
    private String phone;

    /**
     * 备注
     */
    private String remarks;
    
    /**
     * 电工状态；0:离岗；1：在岗
     */
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime sysCreateTime;

    /**
     * 创建者
     */
    private Long sysCreator;

    /**
     * 修改时间
     */
    private LocalDateTime sysUpdateTime;

    /**
     * 修改者
     */
    private Long sysUpdater;

    /**
     * 是否删除，0（default）/1：未删除/删除
     */
    private Boolean sysDeleted;


}
